Update transactions
curl --request PUT \
--url https://api.yume.cloud/v1/finances/transactions/{transaction_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"created_at": "2023-11-07T05:31:56Z",
"kaspi_pay": false,
"kaspi_phone": "<string>",
"schedules": [
123
],
"amount": "<string>",
"extra": null,
"comment": "<string>",
"tenant": 123,
"exchange": 123,
"type": 123,
"account": 123,
"category": 123,
"sale": 123,
"request": 123,
"workshop": 123,
"maintenance": 123,
"deposit": 123,
"penalty": 123,
"bonus": 123,
"tags": [
123
]
}
'import requests
url = "https://api.yume.cloud/v1/finances/transactions/{transaction_id}/"
payload = {
"created_at": "2023-11-07T05:31:56Z",
"kaspi_pay": False,
"kaspi_phone": "<string>",
"schedules": [123],
"amount": "<string>",
"extra": None,
"comment": "<string>",
"tenant": 123,
"exchange": 123,
"type": 123,
"account": 123,
"category": 123,
"sale": 123,
"request": 123,
"workshop": 123,
"maintenance": 123,
"deposit": 123,
"penalty": 123,
"bonus": 123,
"tags": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
created_at: '2023-11-07T05:31:56Z',
kaspi_pay: false,
kaspi_phone: '<string>',
schedules: [123],
amount: '<string>',
extra: null,
comment: '<string>',
tenant: 123,
exchange: 123,
type: 123,
account: 123,
category: 123,
sale: 123,
request: 123,
workshop: 123,
maintenance: 123,
deposit: 123,
penalty: 123,
bonus: 123,
tags: [123]
})
};
fetch('https://api.yume.cloud/v1/finances/transactions/{transaction_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"kaspi": {
"payment_id": "<string>",
"method": "qr",
"phone": "<string>",
"status": "Processed",
"qr_token": "<string>",
"receipt_url": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"method": 0,
"amount": "<string>",
"status": "pending",
"extra": null,
"comment": "<string>",
"tenant": 123,
"exchange": 123,
"type": 123,
"account": 123,
"category": 123,
"sale": 123,
"request": 123,
"workshop": 123,
"maintenance": 123,
"deposit": 123,
"penalty": 123,
"bonus": 123,
"tags": [
123
]
}transactions
Update transactions
PUT
/
v1
/
finances
/
transactions
/
{transaction_id}
/
Update transactions
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Pattern:
^\d{10}$0- Приход1- Расход
Доступные опции:
0, 1 Требуемый диапазон:
-32768 <= x <= 32767Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$pending- Ожидает оплатыsuccess- Успешноfailure- Ошибкаexpired- Истёк срок
Доступные опции:
pending, success, failure, expired Ответ
200 - application/json
Show child attributes
Show child attributes
0- Приход1- Расход
Доступные опции:
0, 1 Требуемый диапазон:
-32768 <= x <= 32767Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$pending- Ожидает оплатыsuccess- Успешноfailure- Ошибкаexpired- Истёк срок
Доступные опции:
pending, success, failure, expired